## Error codes Error codes — Error domains and codes. |

## Types and Values

#define | GUPNP_SERVER_ERROR
enum | GUPnPServerError
#define | GUPNP_EVENTING_ERROR
enum | GUPnPEventingError
#define | GUPNP_CONTROL_ERROR
enum | GUPnPControlError
#define | GUPNP_XML_ERROR
enum | GUPnPXMLError
#define | GUPNP_ROOT_DEVICE_ERROR

## Description

## Functions

## Types and Values

### GUPNP_SERVER_ERROR

    #define GUPNP_SERVER_ERROR (gupnp_server_error_quark ())

The GQuark uniquely used by GUPnP's server errors.

#### Returns

a GQuark uniquely used by GUPnP's server errors.

### enum GUPnPServerError

GError codes used for errors in the GUPNP_SERVER_ERROR domain, when there is communication with another server.

#### Members

GUPNP_SERVER_ERROR_INTERNAL_SERVER_ERROR | Internal server error. |
GUPNP_SERVER_ERROR_NOT_FOUND | The resource was not found. |
GUPNP_SERVER_ERROR_NOT_IMPLEMENTED | This method is not implemented. |
GUPNP_SERVER_ERROR_INVALID_RESPONSE | Invalid response. |
GUPNP_SERVER_ERROR_INVALID_URL | Invalid URL. |
GUPNP_SERVER_ERROR_OTHER | Unknown/unhandled error. |

### GUPNP_EVENTING_ERROR

    #define GUPNP_EVENTING_ERROR (gupnp_eventing_error_quark ())

The GQuark uniquely used by GUPnP's eventing errors.

#### Returns

a GQuark uniquely used by GUPnP's eventing errors.

### enum GUPnPEventingError

GError codes used for errors in the GUPNP_EVENTING_ERROR domain, during eventing of state variables.

#### Members

GUPNP_EVENTING_ERROR_SUBSCRIPTION_FAILED | The subscription attempt failed. |
GUPNP_EVENTING_ERROR_SUBSCRIPTION_LOST | The subscription was lost. |
GUPNP_EVENTING_ERROR_NOTIFY_FAILED | The notification failed. |

### GUPNP_CONTROL_ERROR

    #define GUPNP_CONTROL_ERROR (gupnp_control_error_quark ())

The GQuark uniquely used by GUPnP's control errors.

#### Returns

a GQuark uniquely used by GUPnP's control errors.

### enum GUPnPControlError

GError codes used for errors in the GUPNP_CONTROL_ERROR domain, during invocation of service actions.

#### Members

GUPNP_CONTROL_ERROR_INVALID_ACTION | The action name was invalid. |
GUPNP_CONTROL_ERROR_INVALID_ARGS | The action arguments were invalid. |
GUPNP_CONTROL_ERROR_OUT_OF_SYNC | Out of sync (deprecated). |
GUPNP_CONTROL_ERROR_ACTION_FAILED | The action failed. |

### GUPNP_XML_ERROR

    #define GUPNP_XML_ERROR (gupnp_xml_error_quark ())

The GQuark uniquely used by GUPnP XML processing errors.

#### Returns

a GQuark uniquely used by GUPnP XML processing errors.

### enum GUPnPXMLError

GError codes used for errors in the GUPNP_XML_ERROR domain, during processing of XML data.

#### Members

GUPNP_XML_ERROR_PARSE | Generic XML parsing error. |
GUPNP_XML_ERROR_NO_NODE | A required XML node was not found. |
GUPNP_XML_ERROR_EMPTY_NODE | An XML node is unexpectedly empty. |
GUPNP_XML_ERROR_INVALID_ATTRIBUTE | An XML node has an unknown attribute. |
GUPNP_XML_ERROR_OTHER | Unknown/unhandled XML related errors. |

### GUPNP_ROOT_DEVICE_ERROR

    #define GUPNP_ROOT_DEVICE_ERROR (gupnp_rootdevice_error_quark ())

The GQuark uniquely used by GUPnP RootDevice creation errors.

#### Returns

a GQuark uniquely used by GUPnP RootDevice creation errors.